function autofitExcel(filename,sheetname,range)

% Copyright 2015 Kimmo Kartasalo
% Tampere University of Technology, Tampere, Finland
% http://www.tut.fi/cytospectre
% Email: kimmo.kartasalo@tut.fi
% 
% This file is part of CytoSpectre.
% 
% CytoSpectre is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% CytoSpectre is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with CytoSpectre.  If not, see <http://www.gnu.org/licenses/>.

try
    [fpath,file,ext] = fileparts(char(filename));
    if isempty(fpath)
        fpath = pwd;
    end
    Excel = actxserver('Excel.Application');
    set(Excel,'Visible',0);
    Workbook = invoke(Excel.Workbooks, 'open', [fpath filesep file ext]);

    sheet = get(Excel.Worksheets, 'Item',sheetname);
    invoke(sheet,'Activate');

    ExAct = Excel.Activesheet;

    ExActRange = get(ExAct,'Range',range);
    ExActRange.Select;

    invoke(Excel.Selection.Columns,'Autofit');

    invoke(Workbook, 'Save');
    invoke(Excel, 'Quit');
    delete(Excel);
catch
end