function [modifiedPSD] = excludeBand(PSD,frequencies_polar,excludelowfreq,excludehighfreq)

% Copyright 2015 Kimmo Kartasalo
% Tampere University of Technology, Tampere, Finland
% http://www.tut.fi/cytospectre
% Email: kimmo.kartasalo@tut.fi
% 
% This file is part of CytoSpectre.
% 
% CytoSpectre is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% CytoSpectre is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with CytoSpectre.  If not, see <http://www.gnu.org/licenses/>.

% Set the excluded band equal to the smallest PSD value.
modifiedPSD = PSD;
firstfreq = round(length(frequencies_polar)*excludelowfreq/max(frequencies_polar));
lastfreq = round(length(frequencies_polar)*excludehighfreq/max(frequencies_polar));
modifiedPSD(:,firstfreq:lastfreq) = min(PSD(:));