function [PSD_wavelength, wavelengths_polar] = frequencyToWavelength(PSD_frequency, frequencies_polar)

% Copyright 2015 Kimmo Kartasalo
% Tampere University of Technology, Tampere, Finland
% http://www.tut.fi/cytospectre
% Email: kimmo.kartasalo@tut.fi
% 
% This file is part of CytoSpectre.
% 
% CytoSpectre is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% CytoSpectre is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with CytoSpectre.  If not, see <http://www.gnu.org/licenses/>.

% Initialize.
N_frequencies = size(PSD_frequency,2);
PSD_wavelength = PSD_frequency;

% Transform the spectrum to wavelength form while taking note of the
% inverse square relationship between spectral densities given as functions
% of frequency and wavelength.
for ind=1:N_frequencies;
    PSD_wavelength(:,N_frequencies-ind+1) = PSD_frequency(:,ind)*frequencies_polar(ind)^2;
end

% Form vector of wavelengths.
wavelengths_polar = 1./frequencies_polar(N_frequencies:-1:1);
